[Solved] Rename: Part_CreatePrimitives to Part_Primitives

Discussions about the wiki documentation of FreeCAD and its translation.
Forum rules
Be nice to others! Respect the FreeCAD code of conduct!
vocx
Veteran
Posts: 5197
Joined: Thu Oct 18, 2018 9:18 pm

[Solved] Rename: Part_CreatePrimitives to Part_Primitives

Post by vocx »

The Part_CreatePrimitives page should be renamed to Part_Primitives.

The name of the wiki page must match the sWhatsThis value.

https://github.com/FreeCAD/FreeCAD/blob ... #L213-L225

Code: Select all

DEF_STD_CMD_A(CmdPartPrimitives)

CmdPartPrimitives::CmdPartPrimitives()
  :Command("Part_Primitives")
{
    sAppModule    = "Part";
    sGroup        = QT_TR_NOOP("Part");
    sMenuText     = QT_TR_NOOP("Create primitives...");
    sToolTipText  = QT_TR_NOOP("Creation of parametrized geometric primitives");
    sWhatsThis    = "Part_Primitives";
    sStatusTip    = sToolTipText;
    sPixmap       = "Part_CreatePrimitives";
}
The icon is called "Part_CreatePrimitives.svg", and the menu text says "Create primitives", however, the command itself is named "Part_Primitives", and thus the wiki page should use this same name.
Last edited by Kunda1 on Wed Feb 26, 2020 4:26 pm, edited 1 time in total.
Reason: Changed to [Solved]
Always add the important information to your posts if you need help. Also see Tutorials and Video tutorials.
To support the documentation effort, and code development, your donation is appreciated: liberapay.com/FreeCAD.
User avatar
Kunda1
Veteran
Posts: 13434
Joined: Thu Jan 05, 2017 9:03 pm

Re: Rename: Part_CreatePrimitives to Part_Primitives

Post by Kunda1 »

Anyone else in the community able to weigh in before we do this ?
Alone you go faster. Together we go farther
Please mark thread [Solved]
Want to contribute back to FC? Checkout:
'good first issues' | Open TODOs and FIXMEs | How to Help FreeCAD | How to report Bugs
renatorivo
Veteran
Posts: 2611
Joined: Tue Feb 21, 2012 8:07 pm
Location: Torino - Italy

Re: Rename: Part_CreatePrimitives to Part_Primitives

Post by renatorivo »

Impossible distinguish the icons of Part → CreatePrimitives ... (blue) from those of Part → Primitives (yellow)
User avatar
Kunda1
Veteran
Posts: 13434
Joined: Thu Jan 05, 2017 9:03 pm

Re: Rename: Part_CreatePrimitives to Part_Primitives

Post by Kunda1 »

renatorivo wrote: Tue Feb 18, 2020 6:00 pm Impossible distinguish the icons of Part → CreatePrimitives ... (blue) from those of Part → Primitives (yellow)
impossible to distinguish? what do you mean ?
Alone you go faster. Together we go farther
Please mark thread [Solved]
Want to contribute back to FC? Checkout:
'good first issues' | Open TODOs and FIXMEs | How to Help FreeCAD | How to report Bugs
renatorivo
Veteran
Posts: 2611
Joined: Tue Feb 21, 2012 8:07 pm
Location: Torino - Italy

Re: Rename: Part_CreatePrimitives to Part_Primitives

Post by renatorivo »

Vox has fixed some things, but the confusion remains. Example: in Part CreatePrimitives click on Box/Cube and this opens Primitives -> Part Box
vocx
Veteran
Posts: 5197
Joined: Thu Oct 18, 2018 9:18 pm

Re: Rename: Part_CreatePrimitives to Part_Primitives

Post by vocx »

renatorivo wrote: Thu Feb 20, 2020 5:46 pm Vox has fixed some things, but the confusion remains. Example: in Part CreatePrimitives click on Box/Cube and this opens Primitives -> Part Box
But that's exactly what it does. The primitive is created with the Part CreatePrimitives tool (should be named Part Primitives), or directly by pressing the Part Box button. The Part Box button has one icon (yellow), but inside the Part CreatePrimitives dialog, the icon that appears in the blue one.
Always add the important information to your posts if you need help. Also see Tutorials and Video tutorials.
To support the documentation effort, and code development, your donation is appreciated: liberapay.com/FreeCAD.
renatorivo
Veteran
Posts: 2611
Joined: Tue Feb 21, 2012 8:07 pm
Location: Torino - Italy

Re: Rename: Part_CreatePrimitives to Part_Primitives

Post by renatorivo »

The result is equivalent, but one is labeled Cube, the other Box: one uses standard parameters, the other allows you to enter values; one is activated from Part-> Primitives, the other from Part-> Create primitives .... In the wiki and in the interface for the same object there are yellow icons and blue icons. Maybe programmers want keep the Part-> Primitives shortcut, but I think that's enough to confuse a beginner.
User avatar
Kunda1
Veteran
Posts: 13434
Joined: Thu Jan 05, 2017 9:03 pm

Re: Rename: Part_CreatePrimitives to Part_Primitives

Post by Kunda1 »

So, in conclusion should we rename the page to Part_Primitives or not ?
I'm asking because of https://forum.freecadweb.org/viewtopic.php?f=21&t=43678
but i haven't started the move yet.
Alone you go faster. Together we go farther
Please mark thread [Solved]
Want to contribute back to FC? Checkout:
'good first issues' | Open TODOs and FIXMEs | How to Help FreeCAD | How to report Bugs
renatorivo
Veteran
Posts: 2611
Joined: Tue Feb 21, 2012 8:07 pm
Location: Torino - Italy

Re: Rename: Part_CreatePrimitives to Part_Primitives

Post by renatorivo »

As Vocx said, we need rename the page, but we also need clarify between Part_Primitives -> Box (Label Box) and Part -> Box (Label Cube)

Code: Select all

### Begin command Part_Primitives
>>> from FreeCAD import Base
>>> import Part,PartGui
>>> ### End command Part_Primitives
>>> App.ActiveDocument.addObject("Part::Box","Box")
>>> App.ActiveDocument.Box.Length=10.00
>>> App.ActiveDocument.Box.Width=10.00
>>> App.ActiveDocument.Box.Height=10.00
>>> App.ActiveDocument.Box.Placement=Base.Placement(Base.Vector(0.00,0.00,0.00),Base.Rotation(0.00,0.00,0.00,1.00))
>>> App.ActiveDocument.Box.Label='Box'
>>> 
>>> App.ActiveDocument.recompute()
>>> Gui.SendMsgToActiveView("ViewFit")
>>> ### Begin command Part_Box
>>> App.ActiveDocument.addObject("Part::Box","Box")
>>> App.ActiveDocument.ActiveObject.Label = "Cube"
>>> App.ActiveDocument.recompute()
>>> Gui.SendMsgToActiveView("ViewFit")
>>> ### End command Part_Box
>>> 
vocx
Veteran
Posts: 5197
Joined: Thu Oct 18, 2018 9:18 pm

Re: Rename: Part_CreatePrimitives to Part_Primitives

Post by vocx »

Kunda1 wrote: Wed Feb 26, 2020 11:42 am So, in conclusion should we rename the page to Part_Primitives or not ?...
Yes, obviously.
Always add the important information to your posts if you need help. Also see Tutorials and Video tutorials.
To support the documentation effort, and code development, your donation is appreciated: liberapay.com/FreeCAD.
Post Reply